if (pkg.$vers.length >= 3) {
    pkg.$vers.push(Packages.xdc.services.global.Vers.getDate(xdc.csd() + '/..'));
}

pkg.build.libraries = [
    'lib/sysbios/debug/ti.sysbios.io.ae28FP',
    'lib/sysbios/debug/ti.sysbios.io.a28L',
    'lib/sysbios/debug/ti.sysbios.io.a28FP',
    'lib/sysbios/debug/ti.sysbios.io.ae430X',
    'lib/sysbios/debug/ti.sysbios.io.ar430XS',
    'lib/sysbios/debug/ti.sysbios.io.ae64P',
    'lib/sysbios/debug/ti.sysbios.io.ae674',
    'lib/sysbios/debug/ti.sysbios.io.ae66',
    'lib/sysbios/debug/ti.sysbios.io.ae66e',
    'lib/sysbios/debug/ti.sysbios.io.aearp32',
    'lib/sysbios/debug/ti.sysbios.io.aearp32F',
    'lib/sysbios/debug/ti.sysbios.io.ae9',
    'lib/sysbios/debug/ti.sysbios.io.aea8fnv',
    'lib/sysbios/debug/ti.sysbios.io.aer5f',
    'lib/sysbios/debug/ti.sysbios.io.aer4f',
    'lib/sysbios/debug/ti.sysbios.io.aer4ft',
    'lib/sysbios/debug/ti.sysbios.io.aem3',
    'lib/sysbios/debug/ti.sysbios.io.aem4',
    'lib/sysbios/debug/ti.sysbios.io.aem4f',
    'lib/sysbios/debug/ti.sysbios.io.am3g',
    'lib/sysbios/debug/ti.sysbios.io.am4g',
    'lib/sysbios/debug/ti.sysbios.io.am4fg',
    'lib/sysbios/debug/ti.sysbios.io.aa8fg',
    'lib/sysbios/debug/ti.sysbios.io.aa9fg',
    'lib/sysbios/debug/ti.sysbios.io.aa15fg',
    'lib/sysbios/debug/ti.sysbios.io.aa53fg',
    'lib/sysbios/debug/ti.sysbios.io.arm3',
    'lib/sysbios/debug/ti.sysbios.io.arm4',
    'lib/sysbios/debug/ti.sysbios.io.arm4f',
    'lib/sysbios/debug/ti.sysbios.io.ae71',
    'lib/smpbios/debug/ti.sysbios.io.aem3',
    'lib/smpbios/debug/ti.sysbios.io.aem4',
];

pkg.build.libDesc = [
    [
        'lib/sysbios/debug/ti.sysbios.io.ae28FP',
        {
            target: 'ti.targets.elf.C28_float',
            suffix: 'e28FP'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.a28L',
        {
            target: 'ti.targets.C28_large',
            suffix: '28L'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.a28FP',
        {
            target: 'ti.targets.C28_float',
            suffix: '28FP'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.ae430X',
        {
            target: 'ti.targets.msp430.elf.MSP430X',
            suffix: 'e430X'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.ar430XS',
        {
            target: 'iar.targets.msp430.MSP430X_small',
            suffix: 'r430XS'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.ae64P',
        {
            target: 'ti.targets.elf.C64P',
            suffix: 'e64P'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.ae674',
        {
            target: 'ti.targets.elf.C674',
            suffix: 'e674'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.ae66',
        {
            target: 'ti.targets.elf.C66',
            suffix: 'e66'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.ae66e',
        {
            target: 'ti.targets.elf.C66_big_endian',
            suffix: 'e66e'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.aearp32',
        {
            target: 'ti.targets.arp32.elf.ARP32',
            suffix: 'earp32'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.aearp32F',
        {
            target: 'ti.targets.arp32.elf.ARP32_far',
            suffix: 'earp32F'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.ae9',
        {
            target: 'ti.targets.arm.elf.Arm9',
            suffix: 'e9'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.aea8fnv',
        {
            target: 'ti.targets.arm.elf.A8Fnv',
            suffix: 'ea8fnv'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.aer5f',
        {
            target: 'ti.targets.arm.elf.R5F',
            suffix: 'er5f'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.aer4f',
        {
            target: 'ti.targets.arm.elf.R4F',
            suffix: 'er4f'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.aer4ft',
        {
            target: 'ti.targets.arm.elf.R4Ft',
            suffix: 'er4ft'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.aem3',
        {
            target: 'ti.targets.arm.elf.M3',
            suffix: 'em3'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.aem4',
        {
            target: 'ti.targets.arm.elf.M4',
            suffix: 'em4'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.aem4f',
        {
            target: 'ti.targets.arm.elf.M4F',
            suffix: 'em4f'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.am3g',
        {
            target: 'gnu.targets.arm.M3',
            suffix: 'm3g'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.am4g',
        {
            target: 'gnu.targets.arm.M4',
            suffix: 'm4g'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.am4fg',
        {
            target: 'gnu.targets.arm.M4F',
            suffix: 'm4fg'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.aa8fg',
        {
            target: 'gnu.targets.arm.A8F',
            suffix: 'a8fg'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.aa9fg',
        {
            target: 'gnu.targets.arm.A9F',
            suffix: 'a9fg'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.aa15fg',
        {
            target: 'gnu.targets.arm.A15F',
            suffix: 'a15fg'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.aa53fg',
        {
            target: 'gnu.targets.arm.A53F',
            suffix: 'a53fg'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.arm3',
        {
            target: 'iar.targets.arm.M3',
            suffix: 'rm3'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.arm4',
        {
            target: 'iar.targets.arm.M4',
            suffix: 'rm4'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.arm4f',
        {
            target: 'iar.targets.arm.M4F',
            suffix: 'rm4f'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.io.ae71',
        {
            target: 'ti.targets.elf.nda.C71',
            suffix: 'e71'
        }
    ],
    [
        'lib/smpbios/debug/ti.sysbios.io.aem3',
        {
            target: 'ti.targets.arm.elf.M3',
            suffix: 'em3'
        }
    ],
    [
        'lib/smpbios/debug/ti.sysbios.io.aem4',
        {
            target: 'ti.targets.arm.elf.M4',
            suffix: 'em4'
        }
    ],
];
